' Copyright (c) 2007 Henric Jungheim <software@henric.info>
'
' Permission to use, copy, modify, and distribute this software for any
' purpose with or without fee is hereby granted, provided that the above
' copyright notice and this permission notice appear in all copies.
'
' THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
' WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
' MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
' ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
' WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
' ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
' OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Imports System.Text
Imports PlatformMath

Public Class SFMT
    Private rng As RandomSFMT = RandomSFMT.CreateRandom

    Private Sub GetRandomButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GetRandomButton.Click
        Me.SingleValueTextBox.Text = Status.RandomValue.ToString

        Dim sb As StringBuilder = New StringBuilder
        For i As Integer = 1 To 10
            sb.AppendLine(rng.NextDouble.ToString("F10"))
        Next
        Me.MultiValueTextBox.Text = sb.ToString
    End Sub
End Class
